%define name volife
%define version 0.2.5
%define release %mkrel 3
%define _tomcat %_datadir/tomcat5

Name:		%name
Version:	%version
Release:	%release
Group:		System/Cluster
Summary:	Web interface for accessing security services in XtreemOS
# run get-version volife %{version}
Source0:	volife-%version.tar.bz2
Source3:	volife_run.c
Source20:	djep-1.0.0.jar
Source21:	ehcache-1.2.3.jar
Source22:	jep-2.3.0.jar
Source23:	vsuite-findbugs-0.4b.jar
Source24:	slf4j-log4j12-1.4.3.jar
License:	GPL
BuildRequires:	java-devel >= 1.6.0
BuildRequires:	ant xvoms dixi-main dixi-main-jardeps cdaserver cdavo cdautil rca
BuildRequires:	java-cup remotetea
Requires:	cdavo cdaserver cdaserver-jardeps mysql xvoms volife-jardeps dixi-main dixi-main-jardeps
Requires:	java-cup tomcat5 cdautil rca java-cup remotetea
Requires: 	java-sdk >= 1.6.0
Obsoletes:	%{name}-backend <= 0.1.8.0
Obsoletes:	%{name}-frontend <= 0.1.8.0
BuildArch:	noarch
%description
VOLifecycle is a web interface for accessing security services in
XtreemOS.

%package jardeps
Summary:	Volife Jars deps
Group:		System/Cluster
%description jardeps
VOLifecycle jar dependencies

%prep
%setup -q

#%{__cp} -p %{SOURCE3} .

cd frontend
./linkjars
cd ..

%build
# build the backend
pushd backend
ant dist
popd

# build volife_run.sh wrapper
#gcc -Wall -o volife_run volife_run.c

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_tomcat}/webapps
pushd frontend
rm -f .classpath .project linkjars
./install.sh %{buildroot}%{_tomcat}
popd

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%name

cp backend/volife_run.sh %{buildroot}%{_bindir}/
#cp volife_run %{buildroot}%{_bindir}/

rm -vf %{buildroot}%{_tomcat}/webapps/volifecycle/install.sh
rm -vf %{buildroot}%{_tomcat}/webapps/volifecycle/README
rm -vf %{buildroot}%{_tomcat}/webapps/volifecycle/LICENSE.txt

# create subpackage with all others jars
#mv -v %{buildroot}%{_tomcat}/webapps/volifecycle/WEB-INF/lib/*.jar %{buildroot}%{_javadir}
cp %{SOURCE20} %{buildroot}%{_javadir}
cp %{SOURCE21} %{buildroot}%{_javadir}
cp %{SOURCE22} %{buildroot}%{_javadir}
cp %{SOURCE23} %{buildroot}%{_javadir}
cp %{SOURCE24} %{buildroot}%{_javadir}


pushd %{buildroot}%{_javadir}
ln -sf djep-1.0.0.jar djep.jar
ln -sf ehcache-1.2.3.jar ehcache.jar
ln -sf jep-2.3.0.jar jep.jar
ln -sf vsuite-findbugs-0.4b.jar vsuite-findbugs.jar
ln -sf slf4j-log4j12-1.4.3.jar slf4j-log4j12.jar
popd

pushd %{buildroot}%{_tomcat}
%{__ln_s} -s webapps/volifecycle/servers servers
%{__mkdir_p} certs
popd

%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/config/volife
%{__cp} -p backend/volife.properties %{buildroot}%{_sysconfdir}/xos/config/volife

%post
if [ -f /etc/xos/config/xvoms/MRC.properties ]
then
	cp -f /etc/xos/config/xvoms/MRC.properties \
		/usr/share/tomcat5/webapps/volifecycle/WEB-INF/classes/MRC.properties || /bin/true
fi

#add tomcat user to the cdauser group
/usr/sbin/usermod -G cdauser tomcat

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL LICENSE
%attr(0755,root,root) %{_bindir}/volife_run.sh
%attr(-,tomcat,tomcat) %{_tomcat}/certs
%attr(0660,root,tomcat) %config(noreplace) %{_sysconfdir}/xos/config/volife/volife.properties
#%attr(4755,tomcat,tomcat) %{_bindir}/volife_run
%attr(0775,root,tomcat) %dir %{_tomcat}/webapps/volifecycle
%{_tomcat}/webapps/volifecycle/adapter
%{_tomcat}/webapps/volifecycle/*.js
%{_tomcat}/webapps/volifecycle/*.jsp
%{_tomcat}/webapps/volifecycle/*.gif
%{_tomcat}/webapps/volifecycle/*.jpg
%{_tomcat}/webapps/volifecycle/bin
%{_tomcat}/webapps/volifecycle/*.css
%{_tomcat}/webapps/volifecycle/controller
%{_tomcat}/webapps/volifecycle/images
%{_tomcat}/webapps/volifecycle/include
%{_tomcat}/webapps/volifecycle/model
%{_tomcat}/webapps/volifecycle/resources
%{_tomcat}/webapps/volifecycle/view
%{_tomcat}/webapps/volifecycle/WEB-INF
%{_tomcat}/webapps/volifecycle/conf/mail.conf
%{_tomcat}/servers

%files jardeps
%{_javadir}/*.jar

%changelog
